%define debug_package %{nil}

Name: liblnk
Version: 20150617
Release: 1%{?dist}
Summary: Library to access the Windows Shortcut File (LNK) format
Group: System Environment/Libraries
License: LGPL
Source: %{name}-alpha-%{version}.tar.gz
URL: http://code.google.com/p/liblnk/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
              
              

%description
liblnk is a library to access the Windows Shortcut File (LNK) format

%package devel
Summary: Header files and libraries for developing applications for liblnk
Group: Development/Libraries
Requires: liblnk = %{version}-%{release}

%description devel
Header files and libraries for developing applications for liblnk.

%package tools
Summary: Several tools for reading Windows Shortcut Files (LNK)
Group: Applications/System
Requires: liblnk = %{version}-%{release} 
 

%description tools
Several tools for reading Windows Shortcut Files (LNK)

%package python
Summary: Python bindings for liblnk
Group: System Environment/Libraries
Requires: liblnk = %{version}-%{release} python
BuildRequires:  %(basename %{__python})-devel

%description python
Python bindings for liblnk

%prep
%setup -q

%build
%if 0%{?centos} == 5
export PYTHON_VERSION=2.6
%endif
%configure --prefix=/usr --libdir=%{_libdir} --mandir=%{_mandir} --enable-python
%if 0%{?centos} > 0
touch --date=20000101 libuna/Makefile.in 
%endif
%if 0%{?centos} == 5
sed --in-place 's/^CC.*=.*gcc$/CC = gcc -std=c99/' pylnk/Makefile
%endif
make %{?_smp_mflags}

%install
rm -rf ${RPM_BUILD_ROOT}
make DESTDIR=${RPM_BUILD_ROOT} install

%clean
rm -rf ${RPM_BUILD_ROOT}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING NEWS README
%attr(755,root,root) %{_libdir}/*.so.*

%files devel
%defattr(644,root,root,755)
%doc AUTHORS COPYING NEWS README ChangeLog
%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/*.so
%{_libdir}/pkgconfig/liblnk.pc
%{_includedir}/*
%{_mandir}/man3/*

%files tools
%defattr(644,root,root,755)
%doc AUTHORS COPYING NEWS README
%attr(755,root,root) %{_bindir}/lnkinfo
%{_mandir}/man1/*

%files python
%defattr(644,root,root,755)
%doc AUTHORS COPYING NEWS README
%{_libdir}/python*/site-packages/*.a
%{_libdir}/python*/site-packages/*.la
%{_libdir}/python*/site-packages/*.so

%changelog
* Wed Jun 17 2015 Lawrence R. Rogers <lrr@cert.org>> 20150617-1
* Release 20150105-1
	20150617
	* bug fixes after fuzzing with AFL

	20150616
	* bug fixes after fuzzing with AFL

	20150609
	* Bug fix for handling volume label

* Sun May 31 2015 Lawrence R. Rogers <lrr@cert.org>> 20150105-2
* Release 20150105-2
	Libuna GCC-5 Patch

* Mon Jan  5 2015 Lawrence R. Rogers <lrr@cert.org>> 20150105-1
* Release 20150105-1
	20150105
	* 2015 update

	20141222
	* worked on Python 3 support

	20141220
	* worked on Python 3 support
	* worked on tests

	20141218
	* worked on Python 3 support

	20141216
	* worked on Python 3 support

	20141130
	* code clean up

	20141117
	* code clean up

	20141111
	* code clean up

* Sun Oct 26 2014 Lawrence R. Rogers <lrr@cert.org>> 20141026-1
* Release 20141026-1
	20141026
	* changes for deployment

	20141019
	* changes for deployment

	20141013
	* worked on utility scripts

	20141004
	* update Python-bindings tests

	20140921
	* changes for project site move

* Fri Sep  5 2014 Lawrence R. Rogers <lrr@cert.org>> 20140905-1
* Release 20140905-1
	20140905
	* updated libfwsi version check

	20140831
	* bug fix in Python-bindings

	20140807
	* worked on property store data block support

* Thu Aug 07 2014 Lawrence R. Rogers <lrr@cert.org>> 20140731-1
* Release 20140731-1
	20140731
	* bug fix in Python-bindings

	20140730
	* worked on shell items support
	* small changes in debug output

	20140729
	* small changes in lnkinfo output

	20140723
	* worked on dpkg debug packages support

	20140715
	* worked on dpkg debug packages support

* Mon Jul 14 2014 Lawrence R. Rogers <lrr@cert.org>> 20140714-1
* Release 20140714-1
	20140714
		* worked on shell items support
	20140622
		* updated dependencies
	20140323
		* worked on Python bindings

* Sun Jan 12 2014 Joachim Metz <joachim.metz@gmail.com> 20140112-1
- Auto-generated

